﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;

namespace INT_PT002.DataStore
{
    public class ServoMotorAddress
    {
        // SaveAllParameters - 0x1020
        public static readonly int SaveAllParameters = 4128;
        // EEPROM - 0x6173h
        public static readonly int EEPROM = 24947;
        // Speed 0 - 0x4600     
        public static readonly int Speed0 = 17920;
        // Speed 1 - 0x4601     
        public static readonly int Speed1 = 17921;
        // Acceleration1 - 0x4611
        public static readonly int Acceleration1 = 17937;
        // Deceleration1 - 0x4621
        public static readonly int Deceleration1 = 17953;
        // CMD 0 - 0x4802
        public static readonly int CMD0 = 18434;
        // CMD 1 - 0x4806
        public static readonly int CMD1 = 18438;
        // CMD 2 - 0x480A
        public static readonly int CMD2 = 18442;
        // CMD 3 - 0x480E
        public static readonly int CMD3 = 18446;
        // CMD 4 - 0x4812
        public static readonly int CMD4 = 18450;
        // CMD 5 - 0x4816
        public static readonly int CMD5 = 18454;
        // CMD 6 - 0x481A
        public static readonly int CMD6 = 18458;
        // CMD 7 - 0x481E 
        public static readonly int CMD7 = 18462;
        // CMD 8 - 0x4822
        public static readonly int CMD8 = 18466;
        // CMD 9 - 0x4826
        public static readonly int CMD9 = 18470;
        // CMD 10 - 0x482A
        public static readonly int CMD10 = 18474;
        // CMD 11 - 0x482E
        public static readonly int CMD11 = 18478;
        // CMD 11 - 0x4832
        public static readonly int CMD12 = 18482;
        // CMD 16 - 0x4842       
        public static readonly int CMD16 = 18498;
        // CMD 17 - 0x4846       
        public static readonly int CMD17 = 18502;
        // CMD 21 - 0x4862
        public static readonly int CMD21 = 18518;
        // CMD 22 - 0x4866
        public static readonly int CMD22 = 18522;
        // CMD 23 - 0x4870
        public static readonly int CMD23 = 18526;
        // CMD 25 - 0x4878
        public static readonly int CMD25 = 18534;
        // CMD 27 - 0x4886
        public static readonly int CMD27 = 18542;
    }
}
